summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xl/cairo/cairo.SlackBuild9
-rw-r--r--l/libjpeg/jpeg.CVE-2013-6629.diff.gzbin0 -> 694 bytes
-rwxr-xr-xl/libjpeg/libjpeg.SlackBuild6
3 files changed, 8 insertions, 7 deletions
diff --git a/l/cairo/cairo.SlackBuild b/l/cairo/cairo.SlackBuild
index 1b83433..f92b8f2 100755
--- a/l/cairo/cairo.SlackBuild
+++ b/l/cairo/cairo.SlackBuild
@@ -81,26 +81,25 @@ CFLAGS="$SLKCFLAGS" \
--disable-trace \
--enable-xlib \
--enable-xcb \
- --enable-xcb-shm \
- --enable-xlib-xcb \
--enable-ps \
--enable-pdf \
--enable-svg \
--enable-tee \
+ --enable-ft \
+ --enable-gl \
--enable-gobject \
--enable-xml \
--build=$ARCH-slackware-linux
# None of these are 'stable' yet...
# --enable-qt \
-# --enable-gl \
# --enable-drm \
-# --enable-xlib-xcb \
-# --enable-xcb-shm \
# Not sure if these two are needed / useful yet; --enable-xcb is now default
# --enable-xcb-shm \
+# ^^ may cause GTK+3 instability
# --enable-xlib-xcb \
+# ^^ this one caused a GIMP slowdown
# Skipping this, because it causes a dependency on the specific
# version of binutils installed at compile time:
diff --git a/l/libjpeg/jpeg.CVE-2013-6629.diff.gz b/l/libjpeg/jpeg.CVE-2013-6629.diff.gz
new file mode 100644
index 0000000..595588b
--- /dev/null
+++ b/l/libjpeg/jpeg.CVE-2013-6629.diff.gz
Binary files differ
diff --git a/l/libjpeg/libjpeg.SlackBuild b/l/libjpeg/libjpeg.SlackBuild
index a5d3783..9083841 100755
--- a/l/libjpeg/libjpeg.SlackBuild
+++ b/l/libjpeg/libjpeg.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-v8a}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -69,6 +69,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/jpeg.CVE-2013-6629.diff.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
./configure \
--prefix=/usr \